version: '3'
services:
  authelia:
    container_name: authelia    
    image: authelia/authelia:4.37.5
    ports:
      - 9091:9091
    volumes:
      - ./authelia-conf:/config
    restart: unless-stopped
    depends_on:
      - authelia-redis
      - authelia-db

  authelia-redis:
    container_name: authelia-redis
    image: redis:alpine3.18
    expose:
      - 6379
    volumes:
      - ./redis:/data/
    # environment:
      # REDIS_PASSWORD: "authelia"
    restart: unless-stopped

  authelia-db:
    container_name: authelia-db
    image: mariadb:11.0.3
    expose:
      - 3306
    volumes:
      - ./mariadb:/var/lib/mysql
    environment:
      MYSQL_ROOT_PASSWORD: "YOUR_MYSQL_ROOT_PASSWORD"
      MYSQL_ROOT_USER: root
      MYSQL_DATABASE: authelia
      MYSQL_USER: authelia
      MYSQL_PASSWORD: "authelia"
    restart: unless-stopped

